As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 776511 - Remove the observers added by chat-messenger-overlay.js when closing a messenger window
: Remove the observers added by chat-messenger-overlay.js when closing a messen...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Florian Quèze [:florian] [:flo]
: instant-messaging
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 06:38 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-07-27 13:46 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch (4.75 KB, patch)
2012-07-23 06:38 PDT, Florian Quèze [:florian] [:flo]
mconley: review+
bwinton: approval‑comm‑aurora+
bwinton: approval‑comm‑beta+
Details | Diff | Splinter Review

Description User image Florian Quèze [:florian] [:flo] 2012-07-23 06:38:31 PDT
Created attachment 644914 [details] [diff] [review]
Patch

For some reason, when I initially wrote that code I assumed that now that Thunderbird has tabs, there's only one messenger window with the same life time as the application, so removing the observers wasn't needed. This is obviously wrong, so here's a patch to fix this.

Note: the patch from bug 775105 needs to be applied before this patch.
Comment 1 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-07-23 08:32:27 PDT
Comment on attachment 644914 [details] [diff] [review]
Patch

I'm fine with this - thanks Florian.
Comment 2 User image Blake Winton (:bwinton) (:☕️) 2012-07-25 11:56:17 PDT
Comment on attachment 644914 [details] [diff] [review]
Patch

This seems like something we want for the initial IM release.
Comment 3 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-07-27 13:46:25 PDT
comm-central: https://hg.mozilla.org/comm-central/rev/378040aa810f
comm-aurora: https://hg.mozilla.org/releases/comm-aurora/rev/3a5ec8e368d2
comm-beta: https://hg.mozilla.org/releases/comm-beta/rev/e3a652e552f2

Note You need to log in before you can comment on or make changes to this bug.